Subject: Re: [PATCH] net: phy: mscc: enable MAC SerDes autonegotiation

From: Raag Jadav <[email-masked]>
Date: Tue, 8 Feb 2022 21:27:52 +0530

On Tue, Feb 08, 2022 at 03:09:48AM +0100, Andrew Lunn wrote:
> > MAC implementation[1] in a lot of NXP SoCs comes with in-band aneg enabled
> > by default, and it does expect Clause 37 auto-negotiation to complete
> > between MAC and PHY before the actual data transfer happens.
> > 
> > [1] https://community.nxp.com/pwmxy87654/attachments/pwmxy87654/t-series/3241/1/AN3869(1).pdf
> > 
> > I faced such issue while integrating VSC85xx PHY
> > with one of the recent NXP SoC having similar MAC implementation.
> > Not sure if this is a problem on MAC side or PHY side,
> > But having Clause 37 support should help in most cases I believe.
> 
> So please use this information in the commit message.
> 
> The only danger with this change is, is the PHY O.K with auto-neg
> turned on, with a MAC which does not actually perform auto-neg? It
> could be we have boards which work now because PHY autoneg is turned
> off.
> 

Introducing an optional device tree property could be of any help?

>       Andrew